<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.commerce.product.definitions.web.internal.portlet.action.EditCPAttachmentFileEntryMVCRenderCommand" enabled="false" immediate="true" activate="activate" configuration-pid="com.liferay.commerce.product.configuration.AttachmentsConfiguration">
  <property name="javax.portlet.name" type="String" value="com_liferay_commerce_product_definitions_web_internal_portlet_CPDefinitionsPortlet"/>
  <property name="mvc.command.name" type="String" value="/cp_definitions/edit_cp_attachment_file_entry"/>
  <service>
    <provide interface="com.liferay.portal.kernel.portlet.bridges.mvc.MVCRenderCommand"/>
  </service>
  <reference name="_actionHelper" interface="com.liferay.commerce.product.portlet.action.ActionHelper" field="_actionHelper"/>
  <reference name="_cpAttachmentFileEntryService" interface="com.liferay.commerce.product.service.CPAttachmentFileEntryService" field="_cpAttachmentFileEntryService"/>
  <reference name="_cpDefinitionOptionRelService" interface="com.liferay.commerce.product.service.CPDefinitionOptionRelService" field="_cpDefinitionOptionRelService"/>
  <reference name="_cpInstanceHelper" interface="com.liferay.commerce.product.util.CPInstanceHelper" field="_cpInstanceHelper"/>
  <reference name="_ddmHelper" interface="com.liferay.commerce.product.ddm.DDMHelper" field="_ddmHelper"/>
  <reference name="_dlMimeTypeDisplayContext" interface="com.liferay.document.library.display.context.DLMimeTypeDisplayContext" field="_dlMimeTypeDisplayContext"/>
  <reference name="_itemSelector" interface="com.liferay.item.selector.ItemSelector" field="_itemSelector"/>
  <reference name="_portal" interface="com.liferay.portal.kernel.util.Portal" field="_portal"/>
  <implementation class="com.liferay.commerce.product.definitions.web.internal.portlet.action.EditCPAttachmentFileEntryMVCRenderCommand"/>
</scr:component>
